View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0013855ParaView(No Category)public2013-02-01 17:382015-01-11 08:28
ReporterKyle Lutz 
Assigned ToUtkarsh Ayachit 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version4.0 
Summary0013855: X11 crash when loading state file with timesteps and context views
DescriptionParaView crashes with the following error when loading state files with timesteps and a context view (e.g. XYChart).

X Error: BadColor (invalid Colormap parameter) 12
  Major opcode: 1 (X_CreateWindow)
  Resource id: 0x5c00001
paraview: ../../src/xcb_io.c:528: _XAllocID: Assertion `ret != inval_id' failed.
TagsNo tags attached.
ProjectTBD
Topic Name13855_fix_segfault_on_loadstate
Typeincorrect functionality
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0030321)
Utkarsh Ayachit (administrator)
2013-02-07 11:31

To reproduce:

* open can.ex, all variables, apply
* create plot-over-line, apply
* advance a few timesteps
* save state (pvsm)
* restart paraview and load state -- paraview will crash with the given error. Only happens when time != 0.
(0030322)
Utkarsh Ayachit (administrator)
2013-02-07 11:31

commit ea4d84e175995e70d77878879cd75bbde7192b31
Author: Utkarsh Ayachit <utkarsh.ayachit@kitware.com>
Date: Thu Feb 7 11:28:15 2013 -0500

    BUG 0013855. Fixed segfaults when loading state.
    
    Fixed segfaults when loading state with charts and current time > 0. The problem
    was that the chart would render (due to change in time) before the QVTKWidget
    was created. That resulted in the window popping up and then crashin when the
    QVTKWidget was getting created at a later point.
    
    Fixed by ensuring that the QVTKWidget is setup soon after the proxy is
    registered and detected by the GUI.
    
    Change-Id: I2124d6c5243b4a20131b53cd708c20724dff8cf7
(0030339)
Utkarsh Ayachit (administrator)
2013-02-13 10:19

SUMMARY
---------------------------------------------
Topics merged into master:
        0013752-move-selection-toolbar-above-3d-view
        13263_prism_view_scaling
        13855_fix_segfault_on_loadstate
        improve-uncertainty-surface
        update_version_to_3.98.1-enhanced

(0030832)
Alan Scott (manager)
2013-05-22 20:34

Tested remote server, Linux, master.

- Issue History
Date Modified Username Field Change
2013-02-01 17:38 Kyle Lutz New Issue
2013-02-07 11:03 Utkarsh Ayachit Assigned To => Utkarsh Ayachit
2013-02-07 11:31 Utkarsh Ayachit Note Added: 0030321
2013-02-07 11:31 Utkarsh Ayachit Topic Name => 13855_fix_segfault_on_loadstate
2013-02-07 11:31 Utkarsh Ayachit Note Added: 0030322
2013-02-07 11:31 Utkarsh Ayachit Status backlog => gatekeeper review
2013-02-07 11:31 Utkarsh Ayachit Fixed in Version => git-next
2013-02-07 11:31 Utkarsh Ayachit Resolution open => fixed
2013-02-13 10:18 Utkarsh Ayachit Fixed in Version git-next => git-master
2013-02-13 10:19 Utkarsh Ayachit Status gatekeeper review => customer review
2013-02-13 10:19 Utkarsh Ayachit Note Added: 0030339
2013-05-18 20:00 Utkarsh Ayachit Fixed in Version git-master => 4.0
2013-05-22 20:34 Alan Scott Note Added: 0030832
2013-05-22 20:34 Alan Scott Status customer review => closed
2015-01-11 08:27 Utkarsh Ayachit Source_changeset_attached => ParaView master 770de9ed
2015-01-11 08:28 Utkarsh Ayachit Source_changeset_attached => ParaView master 66669c13
2015-01-11 08:28 Utkarsh Ayachit Source_changeset_attached => ParaView master ea4d84e1


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker